Summary:	Printer driver for the Lexmark Z42, Z43 and Z52 printer
Name:		drv_z42
Version:	0.4.3
Release:	%mkrel 22
License:	GPLv2+
Group:		System/Printing
URL:		https://www.openprinting.org/driver/drv_z42/
Source:		https://www.openprinting.org/download/printing/%{name}-%{version}.tar.bz2
Source1:	z42-2.png
BuildRequires:	gtk+2-devel
BuildRequires:	imagemagick

%description
Driver for the Lexmark printers Z42, Z43, Z52, X73 and the Compaq IJ1200.

%package -n	z42tool
Summary:	GUI for Lexmark printer maintenance
Group:		System/Printing
Requires:	%{name} = %{version}

%description -n	z42tool
GUI tool to configure the Lexmark printers Z42, Z43, Z52, X73 and the Compaq
IJ1200.

%prep
%setup -q -n %{name}

%build
pushd src
%{__cc} %{optflags} -std=gnu17 %{ldflags} -o z42_cmyk z42_cmyk.c
popd

pushd z42tool
export CFLAGS="%{optflags} -std=gnu17"
%configure
%make_build
popd

%install
install -d %{buildroot}%{_bindir}

pushd src
    install -m0755 z42_cmyk %{buildroot}%{_bindir}
popd

pushd z42tool
    %make_install
popd

install -d %{buildroot}%{_miconsdir}
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_liconsdir}

convert %SOURCE1 -resize 16x16 %{buildroot}%{_miconsdir}/z42tool.png
convert %SOURCE1 -resize 32x32 %{buildroot}%{_iconsdir}/z42tool.png
convert %SOURCE1 -resize 48x48 %{buildroot}%{_liconsdir}/z42tool.png

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/z42tool.desktop << EOF
[Desktop Entry]
Name=Lexmark printer manager
Name[ru]=Менеджер принтеров Lexmark
GenericName=Status, alignment, cartridge maintenance
GenericName[ru]=Статус, выравнивание, обслуживание картриджей
GenericName[nb]=Vis oppstilling, blekknivå og utfør vedlikehold
Comment=GUI for Lexmark printer maintenance
Comment[ru]=Графический интерфейс для управления принтерами Lexmark
Comment[cs]=Grafické rozhraní pro údržbu tiskáren Lexmark
Comment[cy]=Rhyngwyneb cynnal a chadw argraffydd Lexmark
Comment[et]=Lexmarki printeri hooldamise graafiline kasutajaliides
Comment[fr]=Interface graphique de maintenance des applications Lexmark
Comment[he]=מנשק לתחזוקת מדפסת לקסמרק
Comment[hu]=Grafikus felület Lexmark nyomtatók karbantartásához
Comment[nl]=Grafische interface voor Lexmark printeronderhoud
Comment[pl]=Program do konserwacji drukarek Lexmark
Comment[pt]=Interface gráfico para manutenção de impressoras Lexmark
Comment[pt_BR]=Interface para manutenção de impressora Lexmark
Comment[tr]=Lexmark yazıcı bakımı için grafiksel arayüz
Exec=z42tool
Icon=z42tool
Terminal=false
Type=Application
Categories=System;Monitor;
EOF

%files
%defattr(0644,root,root,0755)
%doc COPYING ChangeLog FAQ README
%attr(0755,root,root) %{_bindir}/z42_cmyk

%files -n z42tool
%defattr(0644,root,root,0755)
%doc z42tool/README
%{_datadir}/z42tool
%attr(0755,root,root) %{_bindir}/z42tool
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_datadir}/applications/*.desktop


%changelog
* Tue May 13 2025 ns80 <ns80> 0.4.3-22.mga10
+ Revision: 2183071
- try to fix building with GCC 15

* Thu Mar 31 2022 umeabot <umeabot> 0.4.3-21.mga9
+ Revision: 1836577
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.4.3-20.mga8
+ Revision: 1511964
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.4.3-19.mga7
+ Revision: 1297514
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.4.3-18.mga6
+ Revision: 950762
- Mageia 6 Mass Rebuild

* Wed Nov 19 2014 alexl <alexl> 0.4.3-17.mga5
+ Revision: 797843
- added GenericName
- translated desktop file

* Wed Oct 15 2014 umeabot <umeabot> 0.4.3-16.mga5
+ Revision: 748808
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.3-15.mga5
+ Revision: 678867
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4.3-14.mga4
+ Revision: 503941
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.4.3-13.mga3
+ Revision: 349128
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Apr 27 2011 wally <wally> 0.4.3-12.mga1
+ Revision: 92038
- fix desktop file name (mga#954)
- fix source and url tags (source code is re-hosted at OpenPrinting)
- use OpenPrinting provided source tarball
- fix license
- fis exec line in desktop file

* Wed Feb 23 2011 ennael <ennael> 0.4.3-11.mga1
+ Revision: 58027
- clean spec file
- imported package drv_z42


* Wed Feb 02 2011 Funda Wang <fwang@mandriva.org> 0.4.3-11mdv2011.0
+ Revision: 635314
- rebuild
- tighten BR

* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.3-10mdv2011.0
+ Revision: 604830
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.3-9mdv2010.1
+ Revision: 518997
- rebuild

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0.4.3-8mdv2010.0
+ Revision: 413407
- rebuild

* Thu Dec 25 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4.3-7mdv2009.1
+ Revision: 318480
- use %%ldflags
- lowercase ImageMagick

  + Austin Acton <austin@mandriva.org>
    - simplify menu entry and unify with HP tool

* Thu Jun 26 2008 Austin Acton <austin@mandriva.org> 0.4.3-5mdv2009.0
+ Revision: 229185
- try to improve icon a bit (bug #36899)

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.4.3-4mdv2009.0
+ Revision: 218424
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 0.4.3-4mdv2008.1
+ Revision: 149678
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- buildrequires X11-devel instead of XFree86-devel

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 0.4.3-3mdv2008.0
+ Revision: 75338
- fix deps (pixel)

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Thu Aug 16 2007 Oden Eriksson <oeriksson@mandriva.com> 0.4.3-2mdv2008.0
+ Revision: 64158
- use the new System/Printing RPM GROUP

* Fri Aug 10 2007 Oden Eriksson <oeriksson@mandriva.com> 0.4.3-1mdv2008.0
+ Revision: 61472
- Import drv_z42



* Fri Aug 10 2007 Oden Eriksson <oeriksson@mandriva.com> 0.4.3-1mdv2008.0
- initial Mandriva package

* Thu Jan 15 2004 Marcelo Ricardo Leitner <mrl@conectiva.com.br>
+ 2004-01-15 22:25:43 (44990)
- Added missing BuildRequires.

* Thu Jan 15 2004 Marcelo Ricardo Leitner <mrl@conectiva.com.br>
+ 2004-01-15 15:43:44 (44858)
- New upstream: 0.4.1
- Compiled against gtk+2
- Enabled parallel building

* Wed Mar 19 2003 Wanderlei Antonio Cavassin <cavassin@conectiva.com.br>
+ 2003-03-19 15:09:57 (28625)
- Rebuilt in new environment.

* Thu Aug 29 2002 Gustavo Niemeyer <niemeyer@conectiva.com>
+ 2002-08-29 17:33:47 (7661)
- Imported package from 8.0.
